This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 441225 - passwd pam setup breaks gnome-keyring-pam
passwd pam setup breaks gnome-keyring-pam
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: passwd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 250147 356931
  Show dependency treegraph
 
Reported: 2008-04-07 05:35 EDT by Jonathan Underwood
Modified: 2008-11-26 08:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-04-07 05:35:36 EDT
Description of problem:
Please see https://bugzilla.redhat.com/show_bug.cgi?id=250147

Currently in F-8 changes are required to /etc/pam./d to allow gnome-keyring-pam
to work as it should. To quote Tomas Mraz:

"The substack support is in pam-0.99.8.1-17.1 which is in F-8 so what's missing
is just to change the pam configuration in gdm package to replace 'include
system-auth' with 'substack system-auth' and do the same for passwd + add
pam_gnome_keyring.so."

Version-Release number of selected component (if applicable):
passwd-0.74-5.fc8
Comment 1 Jonathan Underwood 2008-04-07 05:39:09 EDT
(In reply to comment #0)
> Description of problem:
> Please see https://bugzilla.redhat.com/show_bug.cgi?id=250147
> 
> Currently in F-8 changes are required to /etc/pam./d to allow 
                                          ^^^^^^^^^^^^^^^   
Sorry that should read "/etc/pam.d/passwd"
Comment 2 Tomas Mraz 2008-04-08 13:30:17 EDT
For now fixed in pam-0.75-2.fc9 which will be included in F-9.
Comment 3 Jonathan Underwood 2008-04-08 14:06:17 EDT
I think it is worth backporting this fix to F-8 as well if possible.
Comment 4 Curtis Doty 2008-07-16 12:00:34 EDT
Is this fix what causes these errors?

passwd: PAM unable to dlopen(/lib/security/pam_gnome_keyring.so):
/lib/security/pam_gnome_keyring.so: cannot open shared object file: No such file
or directory
passwd: PAM adding faulty module: /lib/security/pam_gnome_keyring.so

For systems that don't have/desire the gnome-keyring, but still like to have passwd.
Comment 5 Tomas Mraz 2008-07-16 13:06:12 EDT
You can remove the pam_gnome_keyring.so line from /etc/pam.d/passwd as a workaround.
It shouldn't cause any problems except of the syslog message though.
Comment 6 Jonathan Underwood 2008-07-16 13:14:01 EDT
Can we not get a fix for this bug pushed for F-8?
Comment 7 Bug Zapper 2008-11-26 05:25:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.